<?php // members library functions

function get_invitations(&$db, $group) {
  $query = 'SELECT invitation_uiid, mailaddress, group_id, timestamp, denied'
         . ' FROM ' . $db['invitations']
         . ' WHERE group_id = $1'
         . ' ORDER BY timestamp DESC';

  return db_select($db, $query, $group);
}

function get_requests(&$db, $group) {
  $query  = 'SELECT uuid, group_id, timestamp'
          . ' FROM ' . $db['requests']
          . ' WHERE group_id = $1'
          . ' ORDER BY timestamp DESC';

  return db_select($db, $query, $group);
}

function delete_request(&$db, $uuid, $group) {
  $query  = 'DELETE FROM ' . $db['requests']
          . ' WHERE uuid = $1 AND group_id = $2';

  return db_exec($db, $query, $uuid, $group);
}

?>
